package com.zcloud.mapper.dsno2.corp;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/**
 * 说明：企业有效期日志
 * 作者：luoxiaobao
 * 时间：2022-03-03
 * 官网：www.zcloudchina.com
 */
public interface CorpTimeMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	/**获取所有企业在日期内。但是isin字段为0的数据
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getInTimeList(PageData pd);

	/**修改到周期内
	 * @param pd
	 * @throws Exception
	 */
	void editInPeriod(PageData pd);

	/**修改到周期外
	 * @param pd
	 * @throws Exception
	 */
	void editOutPeriod(PageData pd);
	/**查询企业最终到期时间
	 * @param pd
	 * @throws Exception
	 */
	PageData findMaxEndDate(PageData pd);

    void updateCorpTime(PageData pd);

	/**
	 * 保存定时停用企业
	 * @param stopSchedule
	 */
	void saveStopSchedule(PageData stopSchedule);

	/**
	 * 获取要停用的企业列表
	 * @return
	 */
	List<PageData> getStopCorpScheduledList();
}

